#--------------------------
# configuration of HLS PROXY 
# --------------------------
<Location "/stream">
	SetHandler hls-proxy-handler
</Location>
# --------------------------------------
# use this handler for m3u8 and ts files
# --------------------------------------
AddHandler hls-proxy-handler m3u8
AddHandler hls-proxy-handler ts
AddHandler hls-proxy-handler info
# --------------------------------------------
# enable and configure the HLS PROXY
# --------------------------------------------
HlsProxyEnabled On
HlsProxyDebug "1"
HlsProxyPort "80"
HlsProxyTtl  "40"
HlsProxyRetry "0"
HlsProxyRetries "10"
HlsProxyAgent "hls-proxy/1.0a"
HlsProxyName "SoundStreet"
HlsProxyUser "none"
HlsProxyPass "none"
HlsProxyAuth "none"
# -----------------------------------------
# HlsProxyPath 
# this value should not be "/" terminated
# -----------------------------------------
HlsProxyPath "/var/www/html"
# ------------------------------------------------
# The remote HLS origin server that is cached here 
# ------------------------------------------------
# HlsProxyHost will be set to deployed stream host
# ------------------------------------------------
